clang 8.0.0

Public Member Functions | List of all members
clang::ParsingFieldDeclarator Class Reference

A class for parsing a field declarator. More...

`#include "clang/Parse/RAIIObjectsForParser.h"`

Inheritance diagram for clang::ParsingFieldDeclarator:
[legend]
Collaboration diagram for clang::ParsingFieldDeclarator:
[legend]

## Public Member Functions
| ParsingFieldDeclarator (Parser &P, const ParsingDeclSpec &DS)
const ParsingDeclSpec & | getDeclSpec () const
ParsingDeclSpec & | getMutableDeclSpec () const
void | complete (Decl *D)
Public Member Functions inherited from clang::FieldDeclarator
| FieldDeclarator (const DeclSpec &DS)

## Additional Inherited Members
Public Attributes inherited from clang::FieldDeclarator
Declarator | D
Expr * | BitfieldSize

## Detailed Description

A class for parsing a field declarator.

Definition at line 228 of file RAIIObjectsForParser.h.

## Constructor & Destructor Documentation

## ◆ ParsingFieldDeclarator()

clang::ParsingFieldDeclarator::ParsingFieldDeclarator | ( | Parser & | P,
|  | const ParsingDeclSpec & | DS
| ) |  |
| inline

Definition at line 232 of file RAIIObjectsForParser.h.

## Member Function Documentation

## ◆ complete()

void clang::ParsingFieldDeclarator::complete | ( | Decl * | D | ) |
| inline

Definition at line 244 of file RAIIObjectsForParser.h.

References clang::ParsingDeclRAIIObject::complete().

## ◆ getDeclSpec()

const ParsingDeclSpec& clang::ParsingFieldDeclarator::getDeclSpec | ( |  | ) | const
| inline

Definition at line 236 of file RAIIObjectsForParser.h.

## ◆ getMutableDeclSpec()

ParsingDeclSpec& clang::ParsingFieldDeclarator::getMutableDeclSpec | ( |  | ) | const
| inline

Definition at line 240 of file RAIIObjectsForParser.h.

The documentation for this class was generated from the following file:

- include/clang/Parse/RAIIObjectsForParser.h